Bug 1251544 - mono sigsevs
mono sigsevs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 11:54 EDT by Richard Jasmin
Modified: 2015-08-09 12:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-09 12:42:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-08-07 11:54:43 EDT
Description of problem:
mono sigsevs on load of mono application. In particular keepass. The older version in the repo although it pulls in all of the depends CANNOT be used if user is using the version on the website.The password files are NOT compatible.

Version-Release number of selected component (if applicable):
22

How reproducible:
always

Steps to Reproduce:
1.sudo yum install keepass
2.use version available at keepass.info and load a keyfile/password pair via:
mono KeePass.exe.


Actual results:
sigsevs, no output if trying to use without console.

Expected results:
should run the application as previous versions do.

Additional info:
this is an upstream bug in mono. It exists also in Ubuntu Wiley Werewolf(15). KeePass runs fine on fc21 and debian stretch and prior ubuntu releases.
Comment 1 Claudio Rodrigo Pereyra DIaz 2015-08-07 14:20:10 EDT
I see on https://apps.fedoraproject.org/packages/keepass/overview that F22 has version 2.26-9 when F21 has in 2.27-1 of keepass
Perhaps need to be updated and push to bodhi for F22

Additional Fedora 22 is still in Mono 2.10
You can try with Mono 4 from https://copr.fedoraproject.org/coprs/tpokorra/mono/
In the repo the is keepass patched for Mono 4 the same version that will be in F23
Comment 2 Richard Jasmin 2015-08-09 12:42:32 EDT
Alright. Am I guessing the version has to do with .net similar version?

Was double checking a respun version of 22 that I had and I noticed that my copy from the past seems to avoid this bug. Its definetly a mono issue. Whoever included the updated version borked it.

Version 2.10.8 (tarball Sat Jun  7 14:11:04 UTC 2014)
Seems to work just fine. Im under the motto if it works, DONT FUCK with it. Thats how good Linux breaks.

Who decided the newer version was needed?

The version of fc22 available on the net has a different version than this. One would think that my respin has a newer version of mono but that may not be the case.

I use whatever keepass version is on their website, whats included in fedora is dated.

I cant spin 23 right now and what I have spun of it will not boot.(no initrd file on disc image) the resulting disc will not boot under any booting option. There are SELinux contexts issues preventing spinning of both 22 and 23.

Note You need to log in before you can comment on or make changes to this bug.